Index: contrib/pgstattuple/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql/contrib/pgstattuple/Makefile,v
retrieving revision 1.7
diff -c -r1.7 Makefile
*** contrib/pgstattuple/Makefile	19 Oct 2006 17:40:03 -0000	1.7
--- contrib/pgstattuple/Makefile	5 Mar 2007 15:47:59 -0000
***************
*** 7,13 ****
  #-------------------------------------------------------------------------
  
  MODULE_big	= pgstattuple
! OBJS		= pgstattuple.o pgstatindex.o
  DOCS		= README.pgstattuple README.pgstattuple.euc_jp
  DATA_built	= pgstattuple.sql
  DATA      	= uninstall_pgstattuple.sql
--- 7,13 ----
  #-------------------------------------------------------------------------
  
  MODULE_big	= pgstattuple
! OBJS		= pgstattuple.o pgstatindex.o pgstatheap.o
  DOCS		= README.pgstattuple README.pgstattuple.euc_jp
  DATA_built	= pgstattuple.sql
  DATA      	= uninstall_pgstattuple.sql
Index: contrib/pgstattuple/pgstattuple.sql.in
===================================================================
RCS file: /projects/cvsroot/pgsql/contrib/pgstattuple/pgstattuple.sql.in,v
retrieving revision 1.12
diff -c -r1.12 pgstattuple.sql.in
*** contrib/pgstattuple/pgstattuple.sql.in	4 Sep 2006 02:03:04 -0000	1.12
--- contrib/pgstattuple/pgstattuple.sql.in	5 Mar 2007 15:47:59 -0000
***************
*** 107,109 ****
--- 107,139 ----
  RETURNS int
  AS 'MODULE_PATHNAME', 'pg_relpages'
  LANGUAGE 'C' STRICT;
+ 
+ CREATE OR REPLACE FUNCTION bufpage_get_raw_page(text, int4)
+ RETURNS bytea
+ AS 'MODULE_PATHNAME', 'bufpage_get_raw_page'
+ LANGUAGE 'C' STRICT;
+ 
+ CREATE OR REPLACE FUNCTION heap_raw_page_header_is_valid(bytea)
+ RETURNS boolean
+ AS 'MODULE_PATHNAME', 'heap_raw_page_header_is_valid'
+ LANGUAGE 'C' STRICT;
+ 
+ CREATE TYPE heap_page_tuple_header_type AS (
+   itemid			int4,
+   ok				boolean,
+   len				int4,
+   tctid				text,
+   xmn				int4,
+   cn				char(1),
+   xmx				int4,
+   cx				char(1),
+   cid				int4,
+   natts				int2,
+   toid				int4,
+   info_flag_text	text
+ );
+ 
+ CREATE OR REPLACE FUNCTION heap_raw_page_tuple_headers(bytea)
+ RETURNS SETOF heap_page_tuple_header_type
+ AS 'MODULE_PATHNAME', 'heap_raw_page_tuple_headers'
+ LANGUAGE 'C' STRICT;
